Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           grsync
Version:        0.6.1
Release:        1
Summary:        A Gtk+ GUI for rsync

Group:          User Interface/Desktops
License:        GPLv2
URL:            http://www.opbyte.it/grsync/
Source0:        http://www.opbyte.it/release/%{name}-%{version}.tar.gz
Patch0:         grsync-0.6.1-fix-crash-when-adding-new-sessions.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2+-devel desktop-file-utils gettext perl(XML::Parser)
#Requires:       

%description
Grsync is a GUI (Graphical User Interface) for rsync, the commandline 
directory synchronization tool. It makes use of the GTK libraries and 
is released under the GPL license, so it is opensource. It is in beta 
stage and doesn't support all of rsync features, but can be effectively 
used to synchronize local directories. For example some people use 
grsync to synchronize their music collection with removable devices or 
to backup personal files to a networked drive. 

%prep
%setup -q
# https://bugzilla.redhat.com/show_bug.cgi?id=429440
%patch0 -p1

# some minor corrections for rpmlint
%{__sed} -i 's/\r//' README

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#desktop-file-install --vendor=""                                 \
#        --dir=%{buildroot}%{_datadir}/applications/              \
#        %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}
 
%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/grsync*
%{_mandir}/man1/grsync*.1.gz
%{_datadir}/pixmaps/grsync.png
%{_datadir}/applications/grsync.desktop


%changelog
* Wed Mar 05 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.1-1
- Initial release